﻿package
{
	import flash.display.*;
	import fl.controls.*;
	import flash.text.*;
	import flash.external.*;
	import flash.net.*;
	import flash.events.*;
	
	public class Demo1 extends MovieClip
	{
		public var button1:Button;
		public var button2:Button;
		public var button3:Button;
		public var button4:Button;
		
		public function Demo1()
		{			
			var swfID:String = "Demo1";
			if(!ExternalInterface.call("flurl.setSwf",swfID))
			{
				throw new Error("flurl.setSwf() failed: "+swfID);
			}
			else
			{
				button1.addEventListener(MouseEvent.CLICK, onButtonClick);
				button2.addEventListener(MouseEvent.CLICK, onButtonClick);
				button3.addEventListener(MouseEvent.CLICK, onButtonClick);
				button4.addEventListener(MouseEvent.CLICK, onButtonClick);
			
				onReady();
			}
		}
	
		private function onButtonClick(event:MouseEvent):void
		{
			switch(event.target)
			{
				case button1: goToPage("page1"); break;
				case button2: goToPage("page2"); break;
				case button3: goToPage("page3"); break;
				case button4: goToPage("page4"); break;
			}
		}
		
		private  function onReady():void
		{	
			ExternalInterface.addCallback("onUrlChange", onUrlChange);
			ExternalInterface.call("flurl.addCallback","onUrlChange");
			
			goToPage(ExternalInterface.call("flurl.getURL"));
			
			ExternalInterface.call("flurl.flurlStatus");
		}
		
		private function goToPage(page:String):void
		{
			if(!page || page == "") page = "page1";
			if(page.charAt(0) == "/") page = page.slice(1,page.length);
			
			try{
				gotoAndStop(page);
			}catch(e:Error){
				throw new Error("Unkown page: "+page);
				return;
			}
			
			var urlString:String = "/"+page;
			ExternalInterface.call("flurl.setURL",urlString);
			ExternalInterface.call("flurl.setPageTitle","Flurl Demo - "+page);
			
		}
		
		private function onUrlChange(url:String):void
		{		
			var parts:Array = url.split("/");
			
			if(parts.length > 1)
			{
				goToPage(parts[1]);
			}
		}
	}
}